Subject: bug#26443: vim-full 8.0.0494 and above fails its testsuite

From: ng0 <[email-masked]>
Date: Tue, 11 Apr 2017 09:23:25 +0000

Currently vim-full in version 8.0.0494 is failing its testsuite:

Executed 287 tests

>From test_system.vim:
Found errors in Test_system_exmode():
function RunTheTest[24]..Test_system_exmode line 7: Expected '0' but got '/'

Test results:

>From test_system.vim:
Found errors in Test_system_exmode():
function RunTheTest[24]..Test_system_exmode line 7: Expected '0' but got '/'
TEST FAILURE
make[2]: *** [Makefile:43: report] Error 1
make[2]: Leaving directory '/tmp/guix-build-vim-full-8.0.0494.drv-0/vim-8.0.0494/src/testdir'
make[1]: *** [Makefile:2030: scripttests] Error 2
make[1]: Leaving directory '/tmp/guix-build-vim-full-8.0.0494.drv-0/vim-8.0.0494/src'
make: *** [Makefile:39: test] Error 2
phase `check' failed after 90.8 seconds
builder for `/gnu/store/819d26h3ijapwmxjw9zykmmq73snmvhz-vim-full-8.0.0494.drv' failed with exit code 1
@ build-failed /gnu/store/819d26h3ijapwmxjw9zykmmq73snmvhz-vim-full-8.0.0494.drv - 1 builder for `/gnu/store/819d26h3ijapwmxjw9zykmmq73snmvhz-vim-full-8.0.0494.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/819d26h3ijapwmxjw9zykmmq73snmvhz-vim-full-8.0.0494.drv' failed

And for version 8.0.0562, where I tried to fix it by just packaging this
version the test phase fails too:

:set im
Vim: Caught deadly signal SEGVery_long_name()
/gnu/store/k7029k5va68lkapbzcycdzj7m5bjb4b8-bash-4.4.12/bin/sh: line 1:  8012 Segmentation fault      ../vim -f -u unix.vim -U NONE --noplugin --not-a-term -S runtest.vim test_edit.vim
make[2]: *** [Makefile:131: test_edit.res] Error 139
make[2]: Leaving directory '/tmp/guix-build-vim-full-8.0.0562.drv-0/vim-8.0.0562/src/testdir'
make[1]: *** [Makefile:2040: scripttests] Error 2
make[1]: Leaving directory '/tmp/guix-build-vim-full-8.0.0562.drv-0/vim-8.0.0562/src'
make: *** [Makefile:39: test] Error 2
phase `check' failed after 64.4 seconds
builder for `/gnu/store/4rglszbz6s06xwrp5q0rdinpp0jh0ds1-vim-full-8.0.0562.drv' failed with exit code 1
@ build-failed /gnu/store/4rglszbz6s06xwrp5q0rdinpp0jh0ds1-vim-full-8.0.0562.drv - 1 builder for `/gnu/store/4rglszbz6s06xwrp5q0rdinpp0jh0ds1-vim-full-8.0.0562.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/4rglszbz6s06xwrp5q0rdinpp0jh0ds1-vim-full-8.0.0562.drv' failed

The issue in patchversion 562 is more more obvious to me than the one we currently
have, but honestly I don't know where to start with debugging this.
Reading the testdir/test_edit.vim test of vim didn't help.
This could be related (or not): https://github.com/vim/vim/issues/1627
Anyone got an github account to further interact with their bugtracker?
Otherwise I'll just signup again.

-- 
PGP and more: https://people.pragmatique.xyz/ng0/